# Returns Returns ## Initiates workflow to warm up inventory transactions - [POST /returns/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/warmupstepfunctions.md) ## Processes a return - [POST /returns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/processreturn.md): This method will auto-generate an ID and create a new return. If an ID is specified for the return, an error will be thrown. ## Execute Batch Operations - [POST /returns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified order_id - [GET /returns/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/listreturnsbyorderid.md): Returns a list of records with the specified order_id ## Sends out a preview of the CRC notification email - [POST /returns/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/previewemail.md): Sends out a preview of the CRC notification email ## Processes a return - [POST /returns/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/processreturnsync.md): This method will auto-generate an ID and create a new return. If an ID is specified for the return, an error will be thrown. ## Returns a return from the system by its ID. - [DELETE /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/deletereturn.md): This method will delete a return with the specified ID. ## Returns a return from the system by its ID. - [GET /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/getreturn.md): This method will look up a return by the specified ID and return it back. ## Partially updates a return with the specified ID. - [PATCH /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/patchreturn.md): This method will patch an existing return with the specified ID, using the HTTP PATCH specification. ## Updates a return with the specified ID. - [PUT /returns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/returns/updatereturn.md): This method will update an existing return with the specified ID.